Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.mina.filter.codec.netty
Class NettyDecoder

    java.lang.Object
      org.apache.mina.filter.codec.ProtocolDecoderAdapter
          org.apache.mina.filter.codec.netty.NettyDecoder

All Implemented Interfaces:
  ProtocolDecoder

    public class NettyDecoder

extends ProtocolDecoderAdapter

A MINA `ProtocolDecoder` that decodes byte buffers into Netty2 `Message`s using specified `MessageRecognizer`s.

Version:
  $Rev: 555855 $, $Date: 2007-07-13 12:19:00 +0900 (Fri, 13 Jul 2007) $,
Author:
  The Apache Directory Project (mina-dev@directory.apache.org)

Constructor Summary
`NettyDecoder(net.gleamynode.netty2.MessageRecognizer recognizer)` Creates a new instance with the specified `MessageRecognizer`.

Method Summary
`void` | `decode(IoSession session, ByteBuffer in, ProtocolDecoderOutput out)` Decodes binary or protocol-specific content into higher-level message objects.

Methods inherited from class org.apache.mina.filter.codec.ProtocolDecoderAdapter
`dispose, finishDecode`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NettyDecoder

    public NettyDecoder(net.gleamynode.netty2.MessageRecognizer recognizer)

  Creates a new instance with the specified `MessageRecognizer`.

Method Detail

### decode

    public void decode(IoSession session,
                       ByteBuffer in,
                       ProtocolDecoderOutput out)
                throws Exception

  Description copied from interface: `ProtocolDecoder`
  Decodes binary or protocol-specific content into higher-level message objects. MINA invokes `ProtocolDecoder.decode(IoSession, ByteBuffer, ProtocolDecoderOutput)` method with read data, and then the decoder implementation puts decoded messages into `ProtocolDecoderOutput`.

  Throws:
    `Exception` - if the read data violated protocol specification

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2008 Apache MINA Project. All Rights Reserved.